PLM之家-上海点团信息科技有限公司(doteam.tech)工业4.0数字化软件官方知识管理平台

查看: 762|回复: 2

[求助] 弹出use askusermessage() or asksyslogmessage()错误

  [复制链接]

1

主题

4

帖子

25

积分

新手上路

Rank: 1

积分
25
发表于 2018-7-7 20:27:16 | 显示全部楼层 |阅读模式

请使用QQ关联注册PLM之家,学习更多关于内容,更多精彩原创视频供你学习!

您需要 登录 才可以下载或查看,没有帐号?发邮件注册

x
做UI界面时弹出这个错误
; p/ P) P- D7 @. F% I7 D  s1 c$ hint NX10_daoyuanjiao::apply_cb()
4 K9 M( w1 i( u- a$ d/ J- T& Q{7 T$ W% s* F. r0 B
    int errorCode = 0;
& A5 c2 b4 n: r% G    try6 a, G9 _$ m. M4 V  d
    {# ~, t6 h) ?9 V' b; ~4 |1 x6 ]5 c
        //---- Enter your callback code here -----4 R' F" w6 l  e9 P3 q" f4 c
                  UF_initialize();
7 Z( T8 @* E8 N! Q) u! b          NXOpen::BlockStyler:PropertyList* DirectionToExtrudeproplist = face_select0->GetProperties();. Y3 @( t/ G7 [
          std::vector<NXOpen::TaggedObject *>objects = DirectionToExtrudeproplist->GetTaggedObjectVector("SelectedObjects");; _0 ]" S; H3 {  T
                  delete DirectionToExtrudeproplist;. Q* q$ A; Y4 u+ v! b
                  DirectionToExtrudeproplist= NULL;
  S$ T2 B; n/ O                  
% e& ]  E  U" E% r+ I0 h. r3 x, e              for ( int i=0;i<objects.size();i++) // size 列表长度,这里指的是 对象个数$ d5 V( H- d, m' M' O) N3 Q
              {   
( e+ J2 ^6 V, A# k$ _( S0 z1 r( F                                 UF_OBJ_set_color(objects->Tag(),1);//给选中的对象更改颜色% `' d& K! l1 I9 ]" W
              }& V. o% C3 q* |2 D( M/ n  v# o
/ t( A9 c9 r* a3 Y9 G6 \
      UF_terminate();
" ~* w/ |  z) S- e$ C# R    }
5 b7 O( w8 S9 W3 f9 Z    caTCh(exception& ex)
8 z' L$ @9 H9 d* _    {
/ C' q5 ?9 ^. T- v        //---- Enter your exception handling code here -----& q- x2 p9 O6 a/ c( \* D2 @' z
        errorCode = 1;
# ~3 G& v( O: i& l        NX10_daoyuanjiao::theUI->NXMessageBox()->Show("Block Styler", NXOpen::NXMessageBox:DialogTypeError, ex.what());( h& z, `* d. A/ U$ Q
    }4 x  v( e, O; y; g% |
    return errorCode;- f/ r! ]4 \. O( b" P
}" ]6 U7 P7 D9 A8 D2 G/ w; N

$ a4 l5 _5 y( I0 ]/ a" D最后调试的时候发现就是标红语句的问题,有大佬知道怎么解决吗

' X  N, U" t' L9 S
捕获.JPG
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复

使用道具 举报

2098

主题

3300

帖子

6万

积分

管理员

PLM之家mildcat

Rank: 9Rank: 9Rank: 9

积分
61655
发表于 2018-7-9 16:44:26 | 显示全部楼层
face_select0->getselectedobjects() 呢。 如果还报错,检查NX开发和VS 匹配版本
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

1

主题

4

帖子

25

积分

新手上路

Rank: 1

积分
25
 楼主| 发表于 2018-7-9 19:42:10 | 显示全部楼层
admin 发表于 2018-7-9 16:44: S. Y0 K1 R  T" x+ k8 v: u+ Q
face_select0->getselectedobjects() 呢。 如果还报错,检查NX开发和VS 匹配版本

1 b' F( |" {4 j' F9 }6 h. m- U, p& Z谢谢你指导,我解决了,应该是版本匹配的问题
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 发邮件注册

本版积分规则


<

QQ|小黑屋|手机版|PLM之家-工业软件数字化驱动之家-国产自主软件推进者 ( 沪ICP备13003373-3

GMT+8, 2018-9-21 03:40 , Processed in 0.139002 second(s), 32 queries .

快速回复 返回顶部 返回列表